VideoWriter (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.videoio

## Class VideoWriter

- java.lang.Object
- - org.opencv.videoio.VideoWriter

-     public class VideoWriter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `VideoWriter()`
    `protected` | `VideoWriter(long addr)`
    `` | `VideoWriter(java.lang.String filename, int fourcc, double fps, Size frameSize)`
    `` | `VideoWriter(java.lang.String filename, int fourcc, double fps, Size frameSize, boolean isColor)`
    `` | `VideoWriter(java.lang.String filename, int apiPreference, int fourcc, double fps, Size frameSize)`
    `` | `VideoWriter(java.lang.String filename, int apiPreference, int fourcc, double fps, Size frameSize, boolean isColor)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VideoWriter` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `static int` | `fourcc(char c1, char c2, char c3, char c4)`
    `double` | `get(int propId)`
    `long` | `getNativeObjAddr()`
    `boolean` | `isOpened()`
    `boolean` | `open(java.lang.String filename, int fourcc, double fps, Size frameSize)`
    `boolean` | `open(java.lang.String filename, int fourcc, double fps, Size frameSize, boolean isColor)`
    `boolean` | `open(java.lang.String filename, int apiPreference, int fourcc, double fps, Size frameSize)`
    `boolean` | `open(java.lang.String filename, int apiPreference, int fourcc, double fps, Size frameSize, boolean isColor)`
    `void` | `release()`
    `boolean` | `set(int propId, double value)`
    `void` | `write(Mat image)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### VideoWriter

          protected VideoWriter(long addr)

    - #### VideoWriter

          public VideoWriter(java.lang.String filename,
                             int apiPreference,
                             int fourcc,
                             double fps,
                             Size frameSize,
                             boolean isColor)

    - #### VideoWriter

          public VideoWriter(java.lang.String filename,
                             int apiPreference,
                             int fourcc,
                             double fps,
                             Size frameSize)

    - #### VideoWriter

          public VideoWriter(java.lang.String filename,
                             int fourcc,
                             double fps,
                             Size frameSize,
                             boolean isColor)

    - #### VideoWriter

          public VideoWriter(java.lang.String filename,
                             int fourcc,
                             double fps,
                             Size frameSize)

    - #### VideoWriter

          public VideoWriter()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static VideoWriter __fromPtr__(long addr)

    - #### isOpened

          public boolean isOpened()

    - #### open

          public boolean open(java.lang.String filename,
                              int apiPreference,
                              int fourcc,
                              double fps,
                              Size frameSize,
                              boolean isColor)

    - #### open

          public boolean open(java.lang.String filename,
                              int apiPreference,
                              int fourcc,
                              double fps,
                              Size frameSize)

    - #### open

          public boolean open(java.lang.String filename,
                              int fourcc,
                              double fps,
                              Size frameSize,
                              boolean isColor)

    - #### open

          public boolean open(java.lang.String filename,
                              int fourcc,
                              double fps,
                              Size frameSize)

    - #### set

          public boolean set(int propId,
                             double value)

    - #### get

          public double get(int propId)

    - #### fourcc

          public static int fourcc(char c1,
                                   char c2,
                                   char c3,
                                   char c4)

    - #### release

          public void release()

    - #### write

          public void write(Mat image)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown